Bug 811739 - Review Request: python-tw2-jqplugins-ui - jQuery UI for ToscaWidgets2
Review Request: python-tw2-jqplugins-ui - jQuery UI for ToscaWidgets2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: 811732
Blocks: 811750 812059 818293
  Show dependency treegraph
 
Reported: 2012-04-11 16:37 EDT by Ralph Bean
Modified: 2014-11-12 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 11:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-11 16:37:38 EDT
Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-ui.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-ui-2.0.0-1.fc17.src.rpm
Description:
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

jQuery UI provides abstractions for low-level interaction and animation,
advanced effects and high-level, themeable widgets, built on top of the
jQuery JavaScript Library, that you can use to build highly interactive
web applications.

This module, tw2.jqplugins.ui, provides toscawidgets2 (tw2) access to
jQuery UI widgets.

----

This package requires the following three others:

python-tw2-jquery - https://bugzilla.redhat.com/show_bug.cgi?id=811732
python-tw2-forms - https://bugzilla.redhat.com/show_bug.cgi?id=811689
python-tw2-core - https://bugzilla.redhat.com/show_bug.cgi?id=720818
Comment 1 Ralph Bean 2012-04-11 17:18:30 EDT
An upstream update was required to fix a collision with tw2.jquery.  Both tw2.jqplugins.ui and tw2.jquery were accidentally installing their test suites alongside themselves.  The problem was only revealed once yum complained that files were being overwritten.

Here's the new update that addresses this.

Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-ui.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-ui-2.0.1-1.fc17.src.rpm
Comment 2 Ralph Bean 2012-05-02 14:53:47 EDT
New release to clean up the spec file.  Removed references to buildroot, defattr, etc.

Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-ui.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-ui-2.0.1-1.fc17.src.rpm
Comment 3 Ralph Bean 2012-05-03 09:12:25 EDT
A question came up in #fedora-devel as to whether or not we can bundle javascript intended to be served by a web app.  There is an explicit exemption in the packaging guidelines making this "OK".

http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries
Comment 4 Gwyn Ciesla 2012-05-03 10:49:09 EDT
I'll do this one today.
Comment 5 Gwyn Ciesla 2012-05-03 16:20:20 EDT
Or tomorrow first thing, I got a bit busy.
Comment 6 Gwyn Ciesla 2012-05-04 09:45:30 EDT
Waiting on -jquery to settle down a bit.
Comment 7 Ralph Bean 2012-05-04 14:26:27 EDT
python-tw2-jquery was approved and has been pushed into rawhide.

buildroot overrides for f17 and el6 should be in place shortly.
Comment 8 Gwyn Ciesla 2012-05-07 10:08:36 EDT
Good:

- rpmlint checks return:

python-tw2-jqplugins-ui.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-ui.src: W: summary-not-capitalized C jQuery UI for ToscaWidgets2
Summary doesn't begin with a capital letter.

python-tw2-jqplugins-ui.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-ui.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
The value of this tag appears to be misspelled. Please double-check.

python-tw2-jqplugins-ui.src: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
The value of this tag appears to be misspelled. Please double-check.

All ignorable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( MIT ) OK, text in %doc, matches source  Also GPL2, at your option.
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Simple, clean.

APPROVED.
Comment 9 Ralph Bean 2012-05-07 12:51:25 EDT
New Package SCM Request
=======================
Package Name: python-tw2-jqplugins-ui
Short Description: jQuery UI for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 10 Gwyn Ciesla 2012-05-07 12:55:39 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-05-07 14:23:33 EDT
python-tw2-jqplugins-ui-2.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-ui-2.0.1-2.fc17
Comment 12 Fedora Update System 2012-05-07 14:43:43 EDT
python-tw2-jqplugins-ui-2.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-ui-2.0.1-3.el6
Comment 13 Fedora Update System 2012-05-07 18:08:56 EDT
python-tw2-jqplugins-ui-2.0.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2012-05-22 11:40:18 EDT
python-tw2-jqplugins-ui-2.0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2012-05-26 03:39:27 EDT
python-tw2-jqplugins-ui-2.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Ralph Bean 2014-11-12 15:25:01 EST
Package Change Request
======================
Package Name: python-tw2-jqplugins-ui
New Branches: epel7
Owners: ralph
InitialCC:
Comment 17 Gwyn Ciesla 2014-11-12 17:08:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.